package com.zcloud.personnel.positioning.api;

import com.zcloud.personnel.positioning.dto.OpenapiConfigAddCmd;
import com.zcloud.personnel.positioning.dto.OpenapiConfigPageQry;
import com.zcloud.personnel.positioning.dto.OpenapiConfigUpdateCmd;
import com.zcloud.personnel.positioning.dto.clientobject.OpenapiConfigCO;
import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

import java.util.List;

/**
 * web-client
 *
 * @Author fangjiakai
 * @Date 2026-07-07
 */
public interface OpenapiConfigServiceI {
    PageResponse<OpenapiConfigCO> listPage(OpenapiConfigPageQry qry);

    List<OpenapiConfigCO> listAll();

    OpenapiConfigCO queryById(Long id);

    SingleResponse<OpenapiConfigCO> add(OpenapiConfigAddCmd cmd);

    void edit(OpenapiConfigUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}
